<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"  
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:ds="http://tempuri.org/ConnDS.xsd">

  <!--
  This transform accepts two parameters used to specify the column you
  want sorted and the direction
  -->
  <xsl:param name="IsSupported" />
  <xsl:param name="IsRegistered" />
  <xsl:param name="IP2CVersion" />
  <xsl:param name="SupportExpiration" />

  <xsl:template name="Email_NewDB_HT" match="/">

     <!-- TITLE -->
    <table border="0" width="640" id="table1">
        <tr>
           <td width="400"><font face="Arial" size="5"><b>XE-Filter<sup><font face="arial" size="2">TM</font></sup> Notice</b></font></td>
           <td></td>
        </tr>
        <tr>
           <td width="400" valign="top"><font face="Arial" size="2">Country-Centric IP-based eMail Filtering</font></td>
           <td align="right" valign="top"><font face="Arial" size="1">Computer Mail Services, Inc.</font><br /></td>
        </tr>
        <tr>
           <td bgcolor="#cccc99" height="8" colspan="2"></td>
        </tr>
    </table>


    
    <!--  SUPPORTED Text -->
    <xsl:if test="$IsSupported='true'">

       <!--  IP2C Version -->
       <table  id="Info" border="0" width="350">
          <tr>
             <td><font face="Arial" Size="2"><b>Country IP Database date: </b></font></td>
             <td><font face="Arial" Size="2"><xsl:value-of select="$IP2CVersion" /></font></td>
          </tr>
          <tr>
             <td><font face="Arial" Size="2"><b>Support Expiration date: </b></font></td>
             <td><font face="Arial" Size="2"><xsl:value-of select="$SupportExpiration" /></font></td>
          </tr>             
       </table>
       <p></p>
       <p></p>

      <font face="Arial" Size="2">
        <p>
           An updated Country IP database was available and as a
           <b>supported</b> customer, this updated database was downloaded and is
           now online.
        </p>
        <p>
           No further action is required.  XE-Filter's Country IP database is now up to date.
        </p>
        <p>
           Thank you for using XE-Filter! 
        </p>
        <p></p>
      </font>
    </xsl:if>



    <!--  UNsupported Text -->
    <xsl:if test="$IsSupported='false'">

       <xsl:choose>

          <!-- Registered Text -->
          <xsl:when test="$IsRegistered='true'">
          
             <!--  IP2C Version -->
             <table  id="Info" border="0" width="350">
                <tr>
                   <td><font face="Arial" Size="2"><b>Available Country IP Database: </b></font></td>
                   <td><font face="Arial" Size="2"><xsl:value-of select="$IP2CVersion" /></font></td>
                </tr>
                <tr>
                   <td><font face="Arial" Size="2"><b>Support Expired on: </b></font></td>
                   <td><font face="Arial" Size="2"><xsl:value-of select="$SupportExpiration" /></font></td>
                </tr>
             </table>
             <p></p>
             <p></p>
      
             <font face="Arial" Size="2">
                <p>
                   An updated Country IP database is available.  However, you
                   are <b>no longer a supported</b> customer.  In order to
                   receive the latest database, you must renew your support.
                </p>
                <p>
                   To renew your support for XE-Filter, please contact CMS or visit <a href="http://www.cmsconnect.com/XEFPro/XEFPricing.htm">CMS' website</a>.
                </p>
                <p></p>
             </font>
          </xsl:when>

          <!-- Unregistered Text -->
          <xsl:otherwise>
             <font face="Arial" Size="2">
                <p>
                   An updated Country IP database is available.  However, your registration information cannot be found.
                </p>
                <p></p>
                <p>
                   In order to receive the latest database, you must be a supported customer.
                </p>
                <p></p>
                <p>
                   To purchase support for XE-Filter, please contact CMS or visit <a href="http://www.cmsconnect.com/XEFPro/XEFPricing.htm">CMS' website</a>.
                </p>
                <p></p>
             </font>           
          </xsl:otherwise>
       </xsl:choose>
    
    </xsl:if>
    
 </xsl:template>

</xsl:stylesheet> 
